summaryrefslogtreecommitdiff
path: root/plugins/fig
diff options
context:
space:
mode:
authorMarco Franssen <marco.franssen@gmail.com>2022-01-18 20:57:07 +0100
committerGitHub <noreply@github.com>2022-01-18 20:57:07 +0100
commitcddf1b69820c9fe3d33a0f00ac6eab37b9d67377 (patch)
tree7e0ee3a7b40296d9e0004073acdeea5a8ebbdfd0 /plugins/fig
parent957dca698cd0a0cafc6d2551eeff19fe223f41bd (diff)
downloadzsh-cddf1b69820c9fe3d33a0f00ac6eab37b9d67377.tar.gz
zsh-cddf1b69820c9fe3d33a0f00ac6eab37b9d67377.tar.bz2
zsh-cddf1b69820c9fe3d33a0f00ac6eab37b9d67377.zip
feat(fig): add plugin for Fig (#10432)
Diffstat (limited to 'plugins/fig')
-rw-r--r--plugins/fig/README.md9
-rw-r--r--plugins/fig/fig.plugin.zsh13
2 files changed, 22 insertions, 0 deletions
diff --git a/plugins/fig/README.md b/plugins/fig/README.md
new file mode 100644
index 000000000..3861958d6
--- /dev/null
+++ b/plugins/fig/README.md
@@ -0,0 +1,9 @@
+# Fig plugin
+
+This plugin sets up completion for [Fig](https://fig.io/).
+
+To use it, add `fig` to the plugins array in your zshrc file:
+
+```zsh
+plugins=(... fig)
+```
diff --git a/plugins/fig/fig.plugin.zsh b/plugins/fig/fig.plugin.zsh
new file mode 100644
index 000000000..60678bfda
--- /dev/null
+++ b/plugins/fig/fig.plugin.zsh
@@ -0,0 +1,13 @@
+if ! (( $+commands[fig] )); then
+ return
+fi
+
+# If the completion file doesn't exist yet, we need to autoload it and
+# bind it to `fig`. Otherwise, compinit will have already done that
+if [[ ! -f "$ZSH_CACHE_DIR/completions/_fig" ]]; then
+ autoload -Uz _fig
+ typeset -g -A _comps
+ _comps[fig]=_fig
+fi
+
+fig completions zsh >| "$ZSH_CACHE_DIR/completions/_fig" &|